// Application : Application
// GenerateValues.prg , Created : 24. 4. 2024   15:20
// User : misor

FUNCTION GenerateValues(pDataPath AS STRING)
	
	LOCAL lDBFType AS STRING
	LOCAL lDataServer AS DbServer
	LOCAL lDBFStruct AS ARRAY
	LOCAL lC AS INT
	
	IF !System.IO.File.Exists(pDataPath)
	
		lDBFType := "DBFCDX"
		
		lDBFStruct := {}
		AAdd(lDBFStruct, {"Value", "N", 10, 0})
		
		DbCreate("data", lDBFStruct, lDBFType)
	
		lDataServer := DbServer{"data", DBEXCLUSIVE, DBREADWRITE, lDBFType}
		
		FOR lC := 1 TO 2500
			
			lDataServer:Append()
			lDataServer:FieldPut("Value", lC)
			
		NEXT
		
		lDataServer:Commit()
		lDataServer:Close()
		
	ENDIF
	
RETURN NULL
